
Redmine - Patch #34619

Update Nokogiri to 1.11

2021-01-23 09:23 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.1.2   

Description

A security issue CVE-2020-26247 has been fixed in Nokogiri 1.11.0.

https://nokogiri.org/CHANGELOG.html#v1110-2021-01-03

diff --git a/Gemfile b/Gemfile

index 88c71c4a7..a254636aa 100644

--- a/Gemfile

+++ b/Gemfile

@@ -13,7 +13,7 @@ gem 'roadie-rails', (RUBY_VERSION < '2.5' ? '~> 1.3.0' : '~> 2.2.0')

 gem "mimemagic" 

 gem "mail", "~> 2.7.1" 

 gem 'csv', (RUBY_VERSION < '2.5' ? ['>= 3.1.1', '<= 3.1.5'] : '~> 3.1.1')

-gem "nokogiri", "~> 1.10.0" 

+gem 'nokogiri', (RUBY_VERSION < '2.5' ? '~> 1.10.0' : '~> 1.11.1')

 gem 'i18n', '~> 1.8.2'

 gem "rbpdf", "~> 1.20.0" 

 gem 'addressable'

Associated revisions

Revision 20722 - 2021-01-23 09:26 - Go MAEDA

Update Nokogiri to 1.11 (#34619).

Revision 20723 - 2021-01-24 04:56 - Go MAEDA

Merged r20722 from trunk to 4.1-stable (#34619).

History

#1 - 2021-01-23 09:27 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch.

#2 - 2021-01-24 04:56 - Go MAEDA

- Status changed from Resolved to Closed
